org.thewonderlemming.c4plantuml.graphml.validation

## Class CustomLSInput

- java.lang.Object
- - org.thewonderlemming.c4plantuml.graphml.validation.CustomLSInput

- All Implemented Interfaces:
    LSInput

      public class CustomLSInput
      extends Object
      implements LSInput

  A basic implementation of `LSInput`, in order to implement our custom `LSResourceResolver`.
  Author:
    thewonderlemming

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseURI()`
    `InputStream` | `getByteStream()`
    `boolean` | `getCertifiedText()`
    `Reader` | `getCharacterStream()`
    `String` | `getEncoding()`
    `String` | `getPublicId()`
    `String` | `getStringData()`
    `String` | `getSystemId()`
    `static WithBaseURI<WithPublicId<WithResourceFilename<WithSystemId<Build<CustomLSInput>>>>>` | `newBuilder()` A fluent builder to ease the construction of `CustomLSInput`, since its constructor contains several arguments which are all strings.
    `void` | `setBaseURI(String baseURI)`
    `void` | `setByteStream(InputStream byteStream)`
    `void` | `setCertifiedText(boolean certifiedText)`
    `void` | `setCharacterStream(Reader characterStream)`
    `void` | `setEncoding(String encoding)`
    `void` | `setPublicId(String publicId)`
    `void` | `setStringData(String stringData)`
    `void` | `setSystemId(String systemId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newBuilder

          public static WithBaseURI<WithPublicId<WithResourceFilename<WithSystemId<Build<CustomLSInput>>>>> newBuilder()

      A fluent builder to ease the construction of `CustomLSInput`, since its constructor contains several arguments which are all strings.
      Returns:
        a new instance of `CustomLSInput`.

    - #### getBaseURI

          public String getBaseURI()

      Specified by:
        `getBaseURI` in interface `LSInput`

    - #### getByteStream

          public InputStream getByteStream()

      Specified by:
        `getByteStream` in interface `LSInput`

    - #### getCertifiedText

          public boolean getCertifiedText()

      Unsupported operation.

      Specified by:
        `getCertifiedText` in interface `LSInput`

    - #### getCharacterStream

          public Reader getCharacterStream()

      Specified by:
        `getCharacterStream` in interface `LSInput`

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `LSInput`

    - #### getPublicId

          public String getPublicId()

      Specified by:
        `getPublicId` in interface `LSInput`

    - #### getStringData

          public String getStringData()

      Specified by:
        `getStringData` in interface `LSInput`

    - #### getSystemId

          public String getSystemId()

      Specified by:
        `getSystemId` in interface `LSInput`

    - #### setBaseURI

          public void setBaseURI(String baseURI)

      Specified by:
        `setBaseURI` in interface `LSInput`

    - #### setByteStream

          public void setByteStream(InputStream byteStream)

      Specified by:
        `setByteStream` in interface `LSInput`

    - #### setCertifiedText

          public void setCertifiedText(boolean certifiedText)

      Unsupported operation.

      Specified by:
        `setCertifiedText` in interface `LSInput`

    - #### setCharacterStream

          public void setCharacterStream(Reader characterStream)

      Unsupported operation.

      Specified by:
        `setCharacterStream` in interface `LSInput`

    - #### setEncoding

          public void setEncoding(String encoding)

      Unsupported operation.

      Specified by:
        `setEncoding` in interface `LSInput`

    - #### setPublicId

          public void setPublicId(String publicId)

      Specified by:
        `setPublicId` in interface `LSInput`

    - #### setStringData

          public void setStringData(String stringData)

      Unsupported operation.

      Specified by:
        `setStringData` in interface `LSInput`

    - #### setSystemId

          public void setSystemId(String systemId)

      Specified by:
        `setSystemId` in interface `LSInput`

Copyright © 2020. All rights reserved.